%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global realname vcstools
%global gitrev 963c121

Name:           python-%{realname}
Version:        0.1.30
Release:        1.20130318git%{gitrev}%{?dist}
Summary:        Version Control System tools for Python

License:        BSD
URL:            http://www.ros.org/wiki/vcstools
#wget --content-disposition https://github.com/vcstools/vcstools/tarball/0.1.30
Source0:        %{realname}-%{realname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx


%description
The vcstools module provides a Python API for interacting with different 
version control systems (VCS/SCMs). The VcsClient class provides an API 
for seamless interacting with Git, Mercurial (Hg), Bzr and SVN. The focus 
of the API is manipulating on-disk checkouts of source-controlled trees. 
Its main use is to support the rosinstall tool.

%prep
%setup -q -n %{realname}-%{realname}-%{gitrev}
sed -i 's/haiku/default/' doc/conf.py
sed -i 's/:special-members://' doc/vcstools.rst

%build
pushd doc
make html
%if ! 0%{?rhel}
make man
%endif
popd

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT
%if ! 0%{?rhel}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
chmod -x doc/_build/man/vcstools.1
install -p -m 0644 doc/_build/man/vcstools.1 $RPM_BUILD_ROOT%{_mandir}/man1/
%endif
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html LICENSE 
%{python_sitelib}/%{realname}
%{python_sitelib}/%{realname}-*.egg-info
%if ! 0%{?rhel}
%{_mandir}/man1/*.gz
%endif

%changelog
* Mon Mar 18 2013 Rich Mattes <richmattes@gmail.com> - 0.1.30-1.20130318git963c121
- Update to release 0.1.30
- Updated upstream URL

* Fri Oct 26 2012 Rich Mattes <richmattes@gmail.com> - 0.1.24-1.20121026gitba30262
- Update to release 0.1.24

* Mon Aug 28 2012 Rich Mattes <richmattes@gmail.com> - 0.1.21-1.20120828hg0fba0588
- Update to release 0.1.21

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.17-4.20120606hg6205f4fc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Rich Mattes <richmattes@gmail.com> - 0.1.17-3.20120606hg6205f4fc
- Added el6 support
- Enabled unit tests

* Wed Jun 06 2012 Rich Mattes <richmattes@gmail.com> - 0.1.17-2.20120606hg6205f4fc
- Update package release to include hg checkout info
- Remove el5 specific RPM_BUILD_ROOT removal from install section

* Tue Jun 05 2012 Rich Mattes <richmattes@gmail.com> - 0.1.17-1
- Update to release 0.1.17

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 0.1.4-1
- Initial package
